﻿@using SiteGuide.Service.Views.Kml.Car166Kml
@using Geo
@model Car166KmlViewModel
<Folder>
    <Style id='CAR166Disk'>
        <PolyStyle>
            <color>7f1767E5</color>
            <colorMode>normal</colorMode>
            <outline>0</outline>
        </PolyStyle>
    </Style>
    <name>CAR 166</name><open>1</open>
    <description>10 nm circles around CAR 166 Aerodromes. Unofficial, no claim to accuracy. Not for navigation.</description>
    @foreach (var ctaf in Model.Ctafs)
    {
        <Placemark id='@ctaf.Code'>
            <name>@ctaf.Name (@ctaf.Code)</name>
            <description><![CDATA[CTAF @ctaf.Ctaf<br />@ctaf.Category<br /><a href='http://www.airservicesaustralia.com/aip/current/ersa/FAC_@(ctaf.Code)_@(Model.ErsaDate.ToString("ddMMMyyyy")).pdf'>FAC</a>]]></description>
            <styleUrl>#CAR166Disk</styleUrl>
            <Polygon>
                <outerBoundaryIs>
                    <LinearRing>
                        <coordinates>
                            @string.Join(" ", new LatLng(ctaf.Lat, ctaf.Lng).CirclePoints(18520, 40).Select(p => $"{p.lng},{p.lat}"))
                        </coordinates>
                    </LinearRing>
                </outerBoundaryIs>
            </Polygon>
        </Placemark>
    }
</Folder>
